function [D,H,B] = DHB_matrices(in1,in2,in3)
%DHB_MATRICES
%    [D,H,B] = DHB_MATRICES(IN1,IN2,IN3)

%    This function was generated by the Symbolic Math Toolbox version 8.2.
%    04-Dec-2019 10:32:03

J2 = in3(:,4);
J3 = in3(:,5);
dq1 = in2(1,:);
dq2 = in2(2,:);
dq3 = in2(3,:);
dq4 = in2(4,:);
dq5 = in2(5,:);
g = in3(:,10);
l1 = in3(:,6);
l2 = in3(:,7);
l3 = in3(:,8);
l4 = in3(:,9);
m1 = in3(:,1);
m2 = in3(:,2);
m3 = in3(:,3);
q1 = in1(1,:);
q2 = in1(2,:);
q3 = in1(3,:);
q4 = in1(4,:);
q5 = in1(5,:);
theta1 = in3(:,11);
t2 = l1.^2;
t3 = l2.^2;
t4 = l3.^2;
t5 = l4.^2;
t6 = q2./2.0;
t7 = q3./2.0;
t8 = t6+t7;
t9 = cos(t8);
t10 = q4./2.0;
t11 = q5./2.0;
t12 = t10+t11;
t13 = cos(t12);
t14 = q4+q5;
t15 = cos(t14);
t16 = q2-q3+q4+q5;
t17 = cos(t16);
t18 = -q2+q3+q4+q5;
t19 = cos(t18);
t20 = q2-q3;
t21 = cos(t20);
t22 = q2+t10+t11;
t23 = cos(t22);
t24 = t6+t7-t10-t11;
t25 = cos(t24);
t26 = t6+t7+t10+t11;
t27 = cos(t26);
t28 = -t6+t7+t10+t11;
t29 = cos(t28);
t30 = t6-t7+t10+t11;
t31 = cos(t30);
t32 = -q2+t10+t11;
t33 = cos(t32);
t34 = (m2.*t3)./2.0;
t35 = (m3.*t3)./2.0;
t36 = (m2.*t4)./2.0;
t37 = (m3.*t4)./2.0;
t38 = m3.*t5.*(3.0./8.0);
t39 = (m3.*t5.*t15)./8.0;
t40 = (m3.*t5.*t21)./8.0;
t41 = l2.*l3.*m2;
t42 = l2.*l3.*m3;
t43 = q4+q5-t6+t7;
t44 = cos(t43);
t45 = q4+q5+t6-t7;
t46 = cos(t45);
t47 = (m3.*t5.*t46)./8.0;
t48 = (l1.*l2.*m2.*t9)./2.0;
t49 = (l1.*l2.*m3.*t9)./2.0;
t50 = (l1.*l3.*m2.*t9)./2.0;
t51 = (l1.*l3.*m3.*t9)./2.0;
t52 = l2.*l4.*m3.*t13;
t53 = l3.*l4.*m3.*t13;
t54 = q3+t10+t11;
t55 = cos(t54);
t56 = (l1.*l4.*m3.*t25)./4.0;
t57 = (l1.*l4.*m3.*t27)./4.0;
t58 = (l2.*l4.*m3.*t31)./4.0;
t59 = (l3.*l4.*m3.*t31)./4.0;
t60 = -q3+t10+t11;
t61 = cos(t60);
t62 = cos(t6);
t63 = cos(t7);
t64 = sin(t7);
t65 = sin(t6);
t66 = sin(t12);
t67 = l4.*t62.*t63;
t68 = l4.*t64.*t65;
t69 = t62.^2;
t70 = l1.*t13.*t69;
t71 = t63.^2;
t72 = l1.*t13.*t71;
t73 = l2.*t13.*t62.*t63;
t74 = l3.*t13.*t62.*t63;
t75 = l2.*t13.*t64.*t65;
t76 = l3.*t13.*t64.*t65;
t107 = l1.*t13;
t108 = l1.*t62.*t64.*t66;
t109 = l1.*t63.*t65.*t66;
t77 = t67+t68+t70+t72+t73+t74+t75+t76-t107-t108-t109;
t78 = (l4.*m3.*t77)./2.0;
t79 = (m3.*t5.*t44)./8.0;
t80 = (l1.*l4.*m3.*t23)./4.0;
t81 = (l2.*l4.*m3.*t29)./4.0;
t82 = (l3.*l4.*m3.*t29)./4.0;
t83 = J2./4.0;
t84 = (m2.*t3)./4.0;
t85 = (m3.*t3)./4.0;
t86 = (m2.*t4)./4.0;
t87 = (m3.*t4)./4.0;
t88 = (m3.*t5.*t21)./1.6e1;
t89 = (l2.*l3.*m2)./2.0;
t90 = (l2.*l3.*m3)./2.0;
t91 = (l2.*l4.*m3.*t13)./2.0;
t92 = (l3.*l4.*m3.*t13)./2.0;
t93 = t6-t7;
t94 = cos(t93);
t95 = l2.*t13;
t96 = l3.*t13;
t97 = l4+t95+t96;
t98 = (l4.*m3.*t94.*t97)./4.0;
t99 = (l1.*l4.*m3.*t55)./4.0;
t100 = t34+t35+t36+t37+t38+t39+t40+t41+t42-t47+t48+t49+t50+t51+t52+t53+t56+t57-t58-t59+t79+t81+t82+t99-(m3.*t5.*t17)./1.6e1-(m3.*t5.*t19)./1.6e1-(l1.*l4.*m3.*t61)./4.0;
t101 = (m3.*t5)./1.6e1;
t102 = m3.*t5.*t15.*(3.0./1.6e1);
t105 = (m3.*t5.*t17)./3.2e1;
t106 = (m3.*t5.*t19)./3.2e1;
t103 = -t83+t84+t85+t86+t87+t88+t89+t90+t91+t92+t101+t102-t105-t106;
t104 = m3.*t5.*(5.0./1.6e1);
t110 = J3./4.0;
t111 = (m3.*t5)./4.0;
t112 = -t110+t111;
t113 = t110+t111;
D = reshape([m1.*t2+m2.*t2+m2.*t3+m3.*t2+m2.*t4+m3.*t3+m3.*t4+m3.*t5.*(3.0./4.0)+l2.*l3.*m2.*2.0+l2.*l3.*m3.*2.0+(m3.*t5.*t15)./4.0-(m3.*t5.*t17)./8.0-(m3.*t5.*t19)./8.0+(m3.*t5.*t21)./4.0+l1.*l2.*m2.*t9.*2.0+l1.*l2.*m3.*t9.*2.0+l1.*l3.*m2.*t9.*2.0+l1.*l3.*m3.*t9.*2.0+l2.*l4.*m3.*t13.*2.0+l3.*l4.*m3.*t13.*2.0+(l1.*l4.*m3.*t23)./2.0+l1.*l4.*m3.*t25+l1.*l4.*m3.*t27-(l1.*l4.*m3.*t33)./2.0+(l1.*l4.*m3.*t55)./2.0-(l1.*l4.*m3.*t61)./2.0,t34+t35+t36+t37+t38+t39+t40+t41+t42+t47+t48+t49+t50+t51+t52+t53+t56+t57+t58+t59-t79+t80-t81-t82-(m3.*t5.*t17)./1.6e1-(m3.*t5.*t19)./1.6e1-(l1.*l4.*m3.*t33)./4.0,t100,t78,t78,t34+t35+t36+t37+t38+t39+t40+t41+t42+t47+t48+t49+t50+t51+t52+t53+t56+t57+t58+t59+t80-(m3.*t5.*t17)./1.6e1-(m3.*t5.*t19)./1.6e1-(m3.*t5.*t44)./8.0-(l2.*l4.*m3.*t29)./4.0-(l3.*l4.*m3.*t29)./4.0-(l1.*l4.*m3.*t33)./4.0,t47+t58+t59-t79-t81-t82+t83+t84+t85+t86+t87+t88+t89+t90+t91+t92+t104-(m3.*t5.*t15)./1.6e1-(m3.*t5.*t17)./3.2e1-(m3.*t5.*t19)./3.2e1,t103,t98,t98,t100,t103,-t47-t58-t59+t79+t81+t82+t83+t84+t85+t86+t87+t88+t89+t90+t91+t92+t104-t105-t106-(m3.*t5.*t15)./1.6e1,t98,t98,t78,t98,t98,t113,t112,t78,t98,t98,t112,t113],[5,5]);
if nargout > 1
    t114 = q1+t6+t7-theta1;
    t115 = cos(t114);
    t116 = dq2.^2;
    t117 = sin(t16);
    t118 = dq3.^2;
    t119 = sin(t18);
    t120 = sin(t20);
    t121 = q1-theta1;
    t122 = cos(t121);
    t123 = sin(t43);
    t124 = sin(t45);
    t125 = sin(t14);
    t126 = sin(t22);
    t127 = dq4.^2;
    t128 = sin(t54);
    t129 = dq5.^2;
    t130 = sin(t24);
    t131 = sin(t26);
    t132 = sin(t28);
    t133 = sin(t30);
    t134 = sin(t32);
    t135 = sin(t60);
    t136 = sin(t93);
    t137 = sin(t8);
    t138 = -q1-q2+t10+t11+theta1;
    t139 = cos(t138);
    t140 = dq1.^2;
    t141 = q1+q2+t10+t11-theta1;
    t142 = cos(t141);
    t143 = (g.*l4.*m3.*t142)./4.0;
    t144 = q1+t6+t7-t10-t11-theta1;
    t145 = cos(t144);
    t146 = q1+t6+t7+t10+t11-theta1;
    t147 = cos(t146);
    t148 = (dq1.*dq3.*m3.*t5.*t119)./8.0;
    t149 = (dq1.*dq3.*m3.*t5.*t120)./4.0;
    t150 = (dq2.*dq4.*m3.*t5.*t123)./8.0;
    t151 = (dq2.*dq5.*m3.*t5.*t123)./8.0;
    t152 = (dq3.*dq4.*m3.*t5.*t136)./4.0;
    t153 = (dq3.*dq5.*m3.*t5.*t136)./4.0;
    t154 = -q1-q3+t10+t11+theta1;
    t155 = cos(t154);
    t156 = (g.*l2.*m2.*t115)./2.0;
    t157 = (g.*l2.*m3.*t115)./2.0;
    t158 = (g.*l3.*m2.*t115)./2.0;
    t159 = (g.*l3.*m3.*t115)./2.0;
    t160 = (m3.*t5.*t119.*t140)./1.6e1;
    t161 = (m3.*t5.*t120.*t140)./8.0;
    t162 = q1+q3+t10+t11-theta1;
    t163 = cos(t162);
    t164 = (g.*l4.*m3.*t163)./4.0;
    t165 = (g.*l4.*m3.*t145)./4.0;
    t166 = (g.*l4.*m3.*t147)./4.0;
    t167 = (dq1.*dq2.*m3.*t5.*t117)./8.0;
    t168 = (dq1.*dq4.*m3.*t5.*t117)./1.6e1;
    t169 = (dq1.*dq4.*m3.*t5.*t119)./1.6e1;
    t170 = (dq2.*dq3.*m3.*t5.*t119)./3.2e1;
    t171 = (dq1.*dq5.*m3.*t5.*t117)./1.6e1;
    t172 = (dq1.*dq5.*m3.*t5.*t119)./1.6e1;
    t173 = (dq2.*dq4.*m3.*t5.*t117)./3.2e1;
    t174 = (dq2.*dq4.*m3.*t5.*t119)./3.2e1;
    t175 = (dq2.*dq5.*m3.*t5.*t117)./3.2e1;
    t176 = (dq2.*dq5.*m3.*t5.*t119)./3.2e1;
    t177 = (dq3.*dq4.*m3.*t5.*t117)./3.2e1;
    t178 = (dq3.*dq4.*m3.*t5.*t119)./3.2e1;
    t179 = (dq3.*dq5.*m3.*t5.*t117)./3.2e1;
    t180 = (dq3.*dq5.*m3.*t5.*t119)./3.2e1;
    t181 = (dq2.*dq3.*m3.*t5.*t120)./1.6e1;
    t182 = (l1.*l4.*m3.*t130.*t140)./4.0;
    t183 = (l1.*l4.*m3.*t131.*t140)./4.0;
    t184 = (dq1.*dq4.*m3.*t5.*t123)./8.0;
    t185 = (dq2.*dq3.*m3.*t5.*t123)./1.6e1;
    t186 = (dq2.*dq3.*m3.*t5.*t124)./1.6e1;
    t187 = (dq1.*dq5.*m3.*t5.*t123)./8.0;
    t188 = (dq3.*dq4.*m3.*t5.*t124)./8.0;
    t189 = (dq3.*dq5.*m3.*t5.*t124)./8.0;
    t190 = (dq1.*dq4.*m3.*t5.*t136)./4.0;
    t191 = (dq1.*dq5.*m3.*t5.*t136)./4.0;
    t192 = (l1.*l2.*m2.*t137.*t140)./2.0;
    t193 = (l1.*l2.*m3.*t137.*t140)./2.0;
    t194 = (l1.*l3.*m2.*t137.*t140)./2.0;
    t195 = (l1.*l3.*m3.*t137.*t140)./2.0;
    t196 = (dq2.*dq3.*l2.*l4.*m3.*t132)./8.0;
    t197 = (dq2.*dq3.*l2.*l4.*m3.*t133)./8.0;
    t198 = (dq2.*dq3.*l3.*l4.*m3.*t132)./8.0;
    t199 = (dq2.*dq3.*l3.*l4.*m3.*t133)./8.0;
    t200 = (dq2.*dq4.*l2.*l4.*m3.*t132)./8.0;
    t201 = (dq2.*dq4.*l3.*l4.*m3.*t132)./8.0;
    t202 = (dq2.*dq5.*l2.*l4.*m3.*t132)./8.0;
    t203 = (dq3.*dq4.*l2.*l4.*m3.*t133)./8.0;
    t204 = (dq2.*dq5.*l3.*l4.*m3.*t132)./8.0;
    t205 = (dq3.*dq4.*l3.*l4.*m3.*t133)./8.0;
    t206 = (dq3.*dq5.*l2.*l4.*m3.*t133)./8.0;
    t207 = (dq3.*dq5.*l3.*l4.*m3.*t133)./8.0;
    t208 = l2.*t66.*t140.*3.2e1;
    t209 = l4.*t118.*t136.*8.0;
    t210 = l3.*t66.*t140.*3.2e1;
    t211 = l2.*t66.*t116.*8.0;
    t212 = l3.*t66.*t116.*8.0;
    t213 = l2.*t66.*t118.*8.0;
    t214 = l3.*t66.*t118.*8.0;
    t215 = l4.*t125.*t140.*8.0;
    t216 = l1.*t126.*t140.*8.0;
    t217 = l1.*t128.*t140.*8.0;
    t218 = l1.*t131.*t140.*1.6e1;
    t219 = l4.*t116.*t124.*4.0;
    t220 = l4.*t118.*t123.*4.0;
    t221 = sin(t114);
    t222 = dq1.*dq3.*l4.*t136.*1.6e1;
    t223 = dq1.*dq2.*l2.*t66.*3.2e1;
    t224 = dq1.*dq2.*l3.*t66.*3.2e1;
    t225 = dq1.*dq3.*l2.*t66.*3.2e1;
    t226 = dq1.*dq3.*l3.*t66.*3.2e1;
    t227 = dq2.*dq3.*l2.*t66.*1.6e1;
    t228 = dq2.*dq3.*l3.*t66.*1.6e1;
    t229 = g.*t13.*t94.*t115.*3.2e1;
    t230 = dq1.*dq2.*l4.*t125.*8.0;
    t231 = dq1.*dq3.*l4.*t125.*8.0;
    t232 = dq2.*dq3.*l4.*t125.*1.2e1;
    t233 = dq1.*dq2.*l4.*t124.*8.0;
    t234 = dq1.*dq3.*l4.*t123.*8.0;
    t235 = t208+t209+t210+t211+t212+t213+t214+t215+t216+t217+t218+t219+t220+t222+t223+t224+t225+t226+t227+t228+t229+t230+t231+t232+t233+t234-g.*t66.*t221.*3.2e1-l4.*t116.*t117-l4.*t116.*t119-l4.*t117.*t118-l4.*t118.*t119-l4.*t116.*t123.*4.0-l4.*t116.*t125.*2.0-l4.*t118.*t124.*4.0-l4.*t118.*t125.*2.0-l4.*t116.*t136.*8.0-l4.*t117.*t140.*4.0-l4.*t119.*t140.*4.0-l1.*t130.*t140.*1.6e1-l1.*t134.*t140.*8.0-l1.*t135.*t140.*8.0-dq1.*dq2.*l4.*t117.*4.0-dq1.*dq3.*l4.*t117.*4.0-dq1.*dq2.*l4.*t119.*4.0-dq2.*dq3.*l4.*t117.*2.0-dq1.*dq3.*l4.*t119.*4.0-dq2.*dq3.*l4.*t119.*2.0-dq1.*dq2.*l4.*t123.*8.0-dq1.*dq3.*l4.*t124.*8.0-dq1.*dq2.*l4.*t136.*1.6e1;
    t236 = (l4.*m3.*t235)./6.4e1;
    H = [t143+t148+t149+t150+t151+t152+t153+t164+t167+t188+t189+g.*l2.*m2.*t115+g.*l2.*m3.*t115+g.*l3.*m2.*t115+g.*l3.*m3.*t115+g.*l1.*m1.*t122+g.*l1.*m2.*t122+g.*l1.*m3.*t122-(g.*l4.*m3.*t139)./4.0+(g.*l4.*m3.*t145)./2.0+(g.*l4.*m3.*t147)./2.0-(g.*l4.*m3.*t155)./4.0+(m3.*t5.*t116.*t117)./1.6e1-(m3.*t5.*t116.*t119)./1.6e1-(m3.*t5.*t117.*t118)./1.6e1-(m3.*t5.*t116.*t120)./8.0+(m3.*t5.*t118.*t119)./1.6e1+(m3.*t5.*t118.*t120)./8.0-(m3.*t5.*t116.*t123)./1.6e1-(m3.*t5.*t116.*t124)./1.6e1-(m3.*t5.*t118.*t123)./1.6e1-(m3.*t5.*t118.*t124)./1.6e1-(dq1.*dq3.*m3.*t5.*t117)./8.0-(dq1.*dq2.*m3.*t5.*t119)./8.0+(dq1.*dq4.*m3.*t5.*t117)./8.0-(dq1.*dq2.*m3.*t5.*t120)./4.0+(dq1.*dq5.*m3.*t5.*t117)./8.0+(dq2.*dq4.*m3.*t5.*t117)./1.6e1+(dq1.*dq4.*m3.*t5.*t119)./8.0+(dq2.*dq5.*m3.*t5.*t117)./1.6e1+(dq3.*dq4.*m3.*t5.*t117)./1.6e1+(dq1.*dq5.*m3.*t5.*t119)./8.0+(dq2.*dq4.*m3.*t5.*t119)./1.6e1+(dq3.*dq5.*m3.*t5.*t117)./1.6e1+(dq2.*dq5.*m3.*t5.*t119)./1.6e1+(dq3.*dq4.*m3.*t5.*t119)./1.6e1+(dq3.*dq5.*m3.*t5.*t119)./1.6e1+(dq2.*dq3.*m3.*t5.*t123)./8.0+(dq2.*dq3.*m3.*t5.*t124)./8.0-(dq1.*dq4.*m3.*t5.*t125)./4.0-(dq2.*dq4.*m3.*t5.*t124)./8.0-(dq3.*dq4.*m3.*t5.*t123)./8.0-(dq1.*dq5.*m3.*t5.*t125)./4.0-(dq2.*dq4.*m3.*t5.*t125)./8.0-(dq2.*dq5.*m3.*t5.*t124)./8.0-(dq3.*dq5.*m3.*t5.*t123)./8.0-(dq2.*dq5.*m3.*t5.*t125)./8.0-(dq3.*dq4.*m3.*t5.*t125)./8.0-(dq3.*dq5.*m3.*t5.*t125)./8.0-(dq2.*dq4.*m3.*t5.*t136)./4.0-(dq2.*dq5.*m3.*t5.*t136)./4.0-(l1.*l4.*m3.*t116.*t126)./4.0-(l1.*l4.*m3.*t116.*t130)./8.0-(l1.*l4.*m3.*t118.*t128)./4.0-(l1.*l4.*m3.*t116.*t131)./8.0-(l1.*l4.*m3.*t118.*t130)./8.0-(l1.*l4.*m3.*t118.*t131)./8.0-(l2.*l4.*m3.*t116.*t132)./8.0-(l1.*l2.*m2.*t116.*t137)./4.0-(l1.*l4.*m3.*t116.*t134)./4.0-(l2.*l4.*m3.*t116.*t133)./8.0-(l3.*l4.*m3.*t116.*t132)./8.0-(l1.*l2.*m3.*t116.*t137)./4.0-(l1.*l3.*m2.*t116.*t137)./4.0-(l2.*l4.*m3.*t118.*t132)./8.0-(l3.*l4.*m3.*t116.*t133)./8.0-(l1.*l2.*m2.*t118.*t137)./4.0-(l1.*l3.*m3.*t116.*t137)./4.0-(l2.*l4.*m3.*t118.*t133)./8.0-(l3.*l4.*m3.*t118.*t132)./8.0-(l1.*l2.*m3.*t118.*t137)./4.0-(l1.*l3.*m2.*t118.*t137)./4.0-(l1.*l4.*m3.*t118.*t135)./4.0-(l1.*l4.*m3.*t126.*t127)./1.6e1-(l3.*l4.*m3.*t118.*t133)./8.0-(l1.*l3.*m3.*t118.*t137)./4.0-(l1.*l4.*m3.*t126.*t129)./1.6e1-(l1.*l4.*m3.*t127.*t128)./1.6e1-(l1.*l4.*m3.*t127.*t130)./8.0-(l1.*l4.*m3.*t128.*t129)./1.6e1-(l1.*l4.*m3.*t127.*t131)./8.0-(l1.*l4.*m3.*t129.*t130)./8.0-(l1.*l4.*m3.*t129.*t131)./8.0-(l2.*l4.*m3.*t127.*t132)./8.0-(l1.*l4.*m3.*t127.*t134)./1.6e1-(l2.*l4.*m3.*t127.*t133)./8.0-(l3.*l4.*m3.*t127.*t132)./8.0-(l1.*l4.*m3.*t127.*t135)./1.6e1-(l2.*l4.*m3.*t129.*t132)./8.0-(l3.*l4.*m3.*t127.*t133)./8.0-(l1.*l4.*m3.*t129.*t134)./1.6e1-(l2.*l4.*m3.*t129.*t133)./8.0-(l3.*l4.*m3.*t129.*t132)./8.0-(l1.*l4.*m3.*t129.*t135)./1.6e1-(l3.*l4.*m3.*t129.*t133)./8.0-dq1.*dq4.*l2.*l4.*m3.*t66-dq1.*dq4.*l3.*l4.*m3.*t66-dq1.*dq5.*l2.*l4.*m3.*t66-(dq2.*dq4.*l2.*l4.*m3.*t66)./2.0-dq1.*dq5.*l3.*l4.*m3.*t66-(dq2.*dq4.*l3.*l4.*m3.*t66)./2.0-(dq2.*dq5.*l2.*l4.*m3.*t66)./2.0-(dq3.*dq4.*l2.*l4.*m3.*t66)./2.0-(dq2.*dq5.*l3.*l4.*m3.*t66)./2.0-(dq3.*dq4.*l3.*l4.*m3.*t66)./2.0-(dq3.*dq5.*l2.*l4.*m3.*t66)./2.0-(dq3.*dq5.*l3.*l4.*m3.*t66)./2.0-(dq1.*dq2.*l1.*l4.*m3.*t126)./2.0-(dq1.*dq4.*l1.*l4.*m3.*t126)./4.0-(dq1.*dq3.*l1.*l4.*m3.*t128)./2.0-(dq1.*dq5.*l1.*l4.*m3.*t126)./4.0-(dq2.*dq4.*l1.*l4.*m3.*t126)./4.0-(dq1.*dq2.*l1.*l4.*m3.*t130)./2.0-(dq1.*dq4.*l1.*l4.*m3.*t128)./4.0-(dq2.*dq5.*l1.*l4.*m3.*t126)./4.0-(dq1.*dq2.*l1.*l4.*m3.*t131)./2.0-(dq1.*dq3.*l1.*l4.*m3.*t130)./2.0-(dq1.*dq5.*l1.*l4.*m3.*t128)./4.0-(dq1.*dq3.*l1.*l4.*m3.*t131)./2.0+(dq1.*dq4.*l1.*l4.*m3.*t130)./2.0-(dq2.*dq3.*l1.*l4.*m3.*t130)./4.0-(dq3.*dq4.*l1.*l4.*m3.*t128)./4.0-(dq4.*dq5.*l1.*l4.*m3.*t126)./8.0-(dq1.*dq4.*l1.*l4.*m3.*t131)./2.0+(dq1.*dq5.*l1.*l4.*m3.*t130)./2.0-(dq2.*dq3.*l1.*l4.*m3.*t131)./4.0+(dq2.*dq4.*l1.*l4.*m3.*t130)./4.0-(dq3.*dq5.*l1.*l4.*m3.*t128)./4.0-dq1.*dq2.*l1.*l2.*m2.*t137-(dq1.*dq2.*l1.*l4.*m3.*t134)./2.0-(dq1.*dq5.*l1.*l4.*m3.*t131)./2.0-(dq2.*dq4.*l1.*l4.*m3.*t131)./4.0+(dq2.*dq5.*l1.*l4.*m3.*t130)./4.0+(dq3.*dq4.*l1.*l4.*m3.*t130)./4.0-(dq4.*dq5.*l1.*l4.*m3.*t128)./8.0-dq1.*dq2.*l1.*l2.*m3.*t137-dq1.*dq2.*l1.*l3.*m2.*t137-dq1.*dq3.*l1.*l2.*m2.*t137+(dq2.*dq3.*l2.*l4.*m3.*t132)./4.0-(dq2.*dq5.*l1.*l4.*m3.*t131)./4.0-(dq3.*dq4.*l1.*l4.*m3.*t131)./4.0+(dq3.*dq5.*l1.*l4.*m3.*t130)./4.0-dq1.*dq2.*l1.*l3.*m3.*t137-dq1.*dq3.*l1.*l2.*m3.*t137-dq1.*dq3.*l1.*l3.*m2.*t137-(dq1.*dq3.*l1.*l4.*m3.*t135)./2.0+(dq1.*dq4.*l1.*l4.*m3.*t134)./4.0-(dq2.*dq3.*l1.*l2.*m2.*t137)./2.0+(dq2.*dq3.*l2.*l4.*m3.*t133)./4.0+(dq2.*dq3.*l3.*l4.*m3.*t132)./4.0+(dq2.*dq4.*l2.*l4.*m3.*t132)./4.0-(dq3.*dq5.*l1.*l4.*m3.*t131)./4.0-(dq4.*dq5.*l1.*l4.*m3.*t130)./4.0-dq1.*dq3.*l1.*l3.*m3.*t137+(dq1.*dq4.*l1.*l4.*m3.*t135)./4.0+(dq1.*dq5.*l1.*l4.*m3.*t134)./4.0-(dq2.*dq3.*l1.*l2.*m3.*t137)./2.0-(dq2.*dq3.*l1.*l3.*m2.*t137)./2.0+(dq2.*dq3.*l3.*l4.*m3.*t133)./4.0+(dq2.*dq4.*l1.*l4.*m3.*t134)./4.0-(dq2.*dq4.*l2.*l4.*m3.*t133)./4.0+(dq2.*dq4.*l3.*l4.*m3.*t132)./4.0+(dq2.*dq5.*l2.*l4.*m3.*t132)./4.0-(dq3.*dq4.*l2.*l4.*m3.*t132)./4.0-(dq4.*dq5.*l1.*l4.*m3.*t131)./4.0+(dq1.*dq5.*l1.*l4.*m3.*t135)./4.0-(dq2.*dq3.*l1.*l3.*m3.*t137)./2.0-(dq2.*dq4.*l3.*l4.*m3.*t133)./4.0+(dq2.*dq5.*l1.*l4.*m3.*t134)./4.0-(dq2.*dq5.*l2.*l4.*m3.*t133)./4.0+(dq2.*dq5.*l3.*l4.*m3.*t132)./4.0+(dq3.*dq4.*l2.*l4.*m3.*t133)./4.0-(dq3.*dq4.*l3.*l4.*m3.*t132)./4.0-(dq3.*dq5.*l2.*l4.*m3.*t132)./4.0-(dq2.*dq5.*l3.*l4.*m3.*t133)./4.0+(dq3.*dq4.*l1.*l4.*m3.*t135)./4.0+(dq3.*dq4.*l3.*l4.*m3.*t133)./4.0+(dq3.*dq5.*l2.*l4.*m3.*t133)./4.0-(dq3.*dq5.*l3.*l4.*m3.*t132)./4.0-(dq4.*dq5.*l2.*l4.*m3.*t132)./4.0+(dq3.*dq5.*l1.*l4.*m3.*t135)./4.0+(dq3.*dq5.*l3.*l4.*m3.*t133)./4.0-(dq4.*dq5.*l1.*l4.*m3.*t134)./8.0-(dq4.*dq5.*l2.*l4.*m3.*t133)./4.0-(dq4.*dq5.*l3.*l4.*m3.*t132)./4.0-(dq4.*dq5.*l1.*l4.*m3.*t135)./8.0-(dq4.*dq5.*l3.*l4.*m3.*t133)./4.0;t143+t148+t149+t150+t151+t152+t153+t156+t157+t158+t159+t160+t161+t165+t166+t168+t169+t170+t171+t172+t173+t174+t175+t176+t177+t178+t179+t180+t181+t182+t183+t184+t185+t186+t187+t190+t191+t192+t193+t194+t195+t196+t197+t198+t199+t200+t201+t202+t203+t204+t205+t206+t207-(g.*l4.*m3.*t139)./4.0+(m3.*t5.*t116.*t117)./6.4e1-(m3.*t5.*t116.*t119)./6.4e1-m3.*t5.*t117.*t118.*(3.0./6.4e1)-(m3.*t5.*t116.*t120)./3.2e1+m3.*t5.*t118.*t119.*(3.0./6.4e1)+m3.*t5.*t118.*t120.*(3.0./3.2e1)-(m3.*t5.*t116.*t123)./3.2e1-(m3.*t5.*t116.*t124)./3.2e1-(m3.*t5.*t118.*t123)./3.2e1-(m3.*t5.*t118.*t124)./3.2e1-(m3.*t5.*t117.*t140)./1.6e1-(dq1.*dq3.*m3.*t5.*t117)./8.0-(dq2.*dq3.*m3.*t5.*t117)./3.2e1-(dq1.*dq4.*m3.*t5.*t124)./8.0-(dq1.*dq4.*m3.*t5.*t125)./8.0-(dq1.*dq5.*m3.*t5.*t124)./8.0-(dq2.*dq4.*m3.*t5.*t124)./8.0-(dq1.*dq5.*m3.*t5.*t125)./8.0+(dq2.*dq4.*m3.*t5.*t125)./1.6e1-(dq2.*dq5.*m3.*t5.*t124)./8.0+(dq2.*dq5.*m3.*t5.*t125)./1.6e1-dq3.*dq4.*m3.*t5.*t125.*(3.0./1.6e1)-dq3.*dq5.*m3.*t5.*t125.*(3.0./1.6e1)-(l2.*l4.*m3.*t116.*t132)./1.6e1-(l2.*l4.*m3.*t116.*t133)./1.6e1-(l3.*l4.*m3.*t116.*t132)./1.6e1-(l2.*l4.*m3.*t118.*t132)./1.6e1-(l3.*l4.*m3.*t116.*t133)./1.6e1-(l2.*l4.*m3.*t118.*t133)./1.6e1-(l3.*l4.*m3.*t118.*t132)./1.6e1-(l3.*l4.*m3.*t118.*t133)./1.6e1-(l2.*l4.*m3.*t127.*t132)./1.6e1-(l2.*l4.*m3.*t127.*t133)./1.6e1-(l3.*l4.*m3.*t127.*t132)./1.6e1-(l2.*l4.*m3.*t129.*t132)./1.6e1-(l3.*l4.*m3.*t127.*t133)./1.6e1-(l2.*l4.*m3.*t129.*t133)./1.6e1-(l3.*l4.*m3.*t129.*t132)./1.6e1-(l3.*l4.*m3.*t129.*t133)./1.6e1+(l1.*l4.*m3.*t126.*t140)./4.0+(l1.*l4.*m3.*t134.*t140)./4.0-(dq1.*dq4.*l2.*l4.*m3.*t66)./2.0-(dq1.*dq4.*l3.*l4.*m3.*t66)./2.0-(dq1.*dq5.*l2.*l4.*m3.*t66)./2.0-(dq2.*dq4.*l2.*l4.*m3.*t66)./4.0-(dq1.*dq5.*l3.*l4.*m3.*t66)./2.0-(dq2.*dq4.*l3.*l4.*m3.*t66)./4.0-(dq2.*dq5.*l2.*l4.*m3.*t66)./4.0-(dq3.*dq4.*l2.*l4.*m3.*t66)./4.0-(dq2.*dq5.*l3.*l4.*m3.*t66)./4.0-(dq3.*dq4.*l3.*l4.*m3.*t66)./4.0-(dq3.*dq5.*l2.*l4.*m3.*t66)./4.0-(dq3.*dq5.*l3.*l4.*m3.*t66)./4.0-(dq2.*dq4.*l2.*l4.*m3.*t133)./8.0-(dq3.*dq4.*l2.*l4.*m3.*t132)./8.0-(dq2.*dq4.*l3.*l4.*m3.*t133)./8.0-(dq2.*dq5.*l2.*l4.*m3.*t133)./8.0-(dq3.*dq4.*l3.*l4.*m3.*t132)./8.0-(dq3.*dq5.*l2.*l4.*m3.*t132)./8.0-(dq2.*dq5.*l3.*l4.*m3.*t133)./8.0-(dq3.*dq5.*l3.*l4.*m3.*t132)./8.0-(dq4.*dq5.*l2.*l4.*m3.*t132)./8.0-(dq4.*dq5.*l2.*l4.*m3.*t133)./8.0-(dq4.*dq5.*l3.*l4.*m3.*t132)./8.0-(dq4.*dq5.*l3.*l4.*m3.*t133)./8.0;t156+t157+t158+t159-t160-t161+t164+t165+t166+t167+t168+t169-t170+t171+t172+t173+t174+t175+t176+t177+t178+t179+t180-t181+t182+t183-t184+t185+t186-t187+t188+t189-t190-t191+t192+t193+t194+t195+t196+t197+t198+t199+t200+t201+t202+t203+t204+t205+t206+t207-(g.*l4.*m3.*t155)./4.0+m3.*t5.*t116.*t117.*(3.0./6.4e1)-m3.*t5.*t116.*t119.*(3.0./6.4e1)-(m3.*t5.*t117.*t118)./6.4e1-m3.*t5.*t116.*t120.*(3.0./3.2e1)+(m3.*t5.*t118.*t119)./6.4e1+(m3.*t5.*t118.*t120)./3.2e1-(m3.*t5.*t116.*t123)./3.2e1-(m3.*t5.*t116.*t124)./3.2e1-(m3.*t5.*t118.*t123)./3.2e1-(m3.*t5.*t118.*t124)./3.2e1+(m3.*t5.*t117.*t140)./1.6e1-(dq1.*dq2.*m3.*t5.*t119)./8.0+(dq2.*dq3.*m3.*t5.*t117)./3.2e1-(dq1.*dq2.*m3.*t5.*t120)./4.0+(dq1.*dq4.*m3.*t5.*t124)./8.0-(dq1.*dq4.*m3.*t5.*t125)./8.0+(dq1.*dq5.*m3.*t5.*t124)./8.0-(dq3.*dq4.*m3.*t5.*t123)./8.0-(dq1.*dq5.*m3.*t5.*t125)./8.0-dq2.*dq4.*m3.*t5.*t125.*(3.0./1.6e1)-(dq3.*dq5.*m3.*t5.*t123)./8.0-dq2.*dq5.*m3.*t5.*t125.*(3.0./1.6e1)+(dq3.*dq4.*m3.*t5.*t125)./1.6e1+(dq3.*dq5.*m3.*t5.*t125)./1.6e1-(dq2.*dq4.*m3.*t5.*t136)./4.0-(dq2.*dq5.*m3.*t5.*t136)./4.0-(l2.*l4.*m3.*t116.*t132)./1.6e1-(l2.*l4.*m3.*t116.*t133)./1.6e1-(l3.*l4.*m3.*t116.*t132)./1.6e1-(l2.*l4.*m3.*t118.*t132)./1.6e1-(l3.*l4.*m3.*t116.*t133)./1.6e1-(l2.*l4.*m3.*t118.*t133)./1.6e1-(l3.*l4.*m3.*t118.*t132)./1.6e1-(l3.*l4.*m3.*t118.*t133)./1.6e1-(l2.*l4.*m3.*t127.*t132)./1.6e1-(l2.*l4.*m3.*t127.*t133)./1.6e1-(l3.*l4.*m3.*t127.*t132)./1.6e1-(l2.*l4.*m3.*t129.*t132)./1.6e1-(l3.*l4.*m3.*t127.*t133)./1.6e1-(l2.*l4.*m3.*t129.*t133)./1.6e1-(l3.*l4.*m3.*t129.*t132)./1.6e1-(l3.*l4.*m3.*t129.*t133)./1.6e1+(l1.*l4.*m3.*t128.*t140)./4.0+(l1.*l4.*m3.*t135.*t140)./4.0-(dq1.*dq4.*l2.*l4.*m3.*t66)./2.0-(dq1.*dq4.*l3.*l4.*m3.*t66)./2.0-(dq1.*dq5.*l2.*l4.*m3.*t66)./2.0-(dq2.*dq4.*l2.*l4.*m3.*t66)./4.0-(dq1.*dq5.*l3.*l4.*m3.*t66)./2.0-(dq2.*dq4.*l3.*l4.*m3.*t66)./4.0-(dq2.*dq5.*l2.*l4.*m3.*t66)./4.0-(dq3.*dq4.*l2.*l4.*m3.*t66)./4.0-(dq2.*dq5.*l3.*l4.*m3.*t66)./4.0-(dq3.*dq4.*l3.*l4.*m3.*t66)./4.0-(dq3.*dq5.*l2.*l4.*m3.*t66)./4.0-(dq3.*dq5.*l3.*l4.*m3.*t66)./4.0-(dq2.*dq4.*l2.*l4.*m3.*t133)./8.0-(dq3.*dq4.*l2.*l4.*m3.*t132)./8.0-(dq2.*dq4.*l3.*l4.*m3.*t133)./8.0-(dq2.*dq5.*l2.*l4.*m3.*t133)./8.0-(dq3.*dq4.*l3.*l4.*m3.*t132)./8.0-(dq3.*dq5.*l2.*l4.*m3.*t132)./8.0-(dq2.*dq5.*l3.*l4.*m3.*t133)./8.0-(dq3.*dq5.*l3.*l4.*m3.*t132)./8.0-(dq4.*dq5.*l2.*l4.*m3.*t132)./8.0-(dq4.*dq5.*l2.*l4.*m3.*t133)./8.0-(dq4.*dq5.*l3.*l4.*m3.*t132)./8.0-(dq4.*dq5.*l3.*l4.*m3.*t133)./8.0;t236;t236];
end
if nargout > 2
    B = reshape([1.0,0.0,0.0,0.0,0.0,0.0,1.0,0.0,0.0,0.0,0.0,0.0,1.0,0.0,0.0,0.0,0.0,0.0,1.0,0.0,0.0,0.0,0.0,0.0,1.0],[5,5]);
end
